Name:     mokutil
Version:  0.6.0
Release:  2
Epoch:    1
Summary:  Tools for manipulating machine owner keys
License:  GPLv3+
URL:      https://github.com/lcp/mokutil
Source0:  https://github.com/lcp/mokutil/archive/%{version}.tar.gz

BuildRequires:gcc autoconf automake gnu-efi openssl-devel openssl keyutils-libs-devel efivar-devel >= 31-1 git
Conflicts:      shim < 0.8-1
Obsoletes:      mokutil < 0.2.0

Patch0000:	0001-Show-usage-instead-of-aborting-on-bad-flags.patch
Patch0001:	0002-mokutil-bugfix-del-unused-opt-s.patch
Patch0002:	0003-Fix-leak-of-list-in-delete_data_from_req_var.patch
Patch0003:	0004-Fix-leak-of-fd-in-mok_get_variable.patch

%description
The utility to manipulate machines owner keys which managed in shim.

%package help
Summary:   Documents for %{name}
Buildarch: noarch
Requires:  man info

%description help
Man page and other related documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%check
make check

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%license COPYING
%{_bindir}/mokutil
%{_datadir}/bash-completion/completions/mokutil

%files help
%defattr(-,root,root)
%doc README
%{_mandir}/man1/*

%changelog
* Sat Feb 4 2023 gaoyusong <gaoyusong2@huawei.com> - 1:0.6.0-2
- DESC: Fix build error

* Tue Aug 2 2022 gaoyusong <gaoyusong2@huawei.com> - 1:0.6.0-1
- DESC: Update to 0.6.0 with latest bug fix

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.4.0-3
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git
git

* Mon Jun 22 2020 openEuler Buildteam <buildteam@openeuler.org> - 1:0.4.0-2
- fix build err of -Waddress-of-packed-member for gcc update to 9.3.1

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1:0.4.0-1
- Update to 0.4.0

* Fri Aug 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:0.3.0-11
- Package init
